/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLIFrameElement_H__
#define __GdomHTMLIFrameElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLIFrameElement GdomHTMLIFrameElement;
typedef struct _GdomHTMLIFrameElementClass GdomHTMLIFrameElementClass;


#define GDOM_TYPE_HTMLI_FRAME_ELEMENT            (gdom_htmli_frame_element_get_type())
#define GDOM_HTMLI_FRAME_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTMLI_FRAME_ELEMENT, GdomHTMLIFrameElement))
#define GDOM_HTMLI_FRAME_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTMLI_FRAME_ELEMENT, GdomHTMLIFrameElement)Class)
#define GDOM_IS_HTMLI_FRAME_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTMLI_FRAME_ELEMENT))
#define GDOM_IS_HTMLI_FRAME_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTMLI_FRAME_ELEMENT))
#define GDOM_HTMLI_FRAME_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTMLI_FRAME_ELEMENT, GdomHTMLIFrameElementClass))

typedef struct _GdomHTMLIFrameElementPrivate GdomHTMLIFrameElementPrivate;

struct _GdomHTMLIFrameElement {
    GdomHTMLElement parent_instance;
    GdomHTMLIFrameElementPrivate *priv;
};

struct _GdomHTMLIFrameElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_htmli_frame_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLIFrameElement_H__ */
